summaryrefslogtreecommitdiffstats
path: root/test/Feature
diff options
context:
space:
mode:
authorChris Lattner <sabre@nondot.org>2001-10-31 06:36:34 +0000
committerChris Lattner <sabre@nondot.org>2001-10-31 06:36:34 +0000
commit2305b6c3a71ac21aa5ddc598e02b30e3c1799b7c (patch)
tree80aef9f55e2443d25fc21d80cbdc56f7bb1cac95 /test/Feature
parent7ef6559718a18a20349d41c28b89bb8cbc1f1022 (diff)
downloadexternal_llvm-2305b6c3a71ac21aa5ddc598e02b30e3c1799b7c.zip
external_llvm-2305b6c3a71ac21aa5ddc598e02b30e3c1799b7c.tar.gz
external_llvm-2305b6c3a71ac21aa5ddc598e02b30e3c1799b7c.tar.bz2
Start testing the new cleangcc pass
git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@1067 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'test/Feature')
-rwxr-xr-xtest/Feature/TestOptimizer.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/Feature/TestOptimizer.sh b/test/Feature/TestOptimizer.sh
index 50729b6..7e607cc 100755
--- a/test/Feature/TestOptimizer.sh
+++ b/test/Feature/TestOptimizer.sh
@@ -18,8 +18,8 @@ $DIS < $1.bc.1 > $1.ll.1 || exit 3
$DIS < $1.bc.2 > $1.ll.2 || exit 3
diff $1.ll.[12] || exit 3
-# Try out SCCP
-$AS < $1 | $OPT -q -inline -dce -sccp -dce | $DIS | $AS > $1.bc.3 || exit 1
+# Try out SCCP & CleanGCC
+$AS < $1 | $OPT -q -inline -dce -cleangcc -sccp -dce | $DIS | $AS > $1.bc.3 || exit 1
# Should not be able to optimize further!
#$OPT -q -sccp -dce < $1.bc.3 > $1.bc.4 || exit 2